summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xdeploy.sh13
-rw-r--r--feed.scm2
2 files changed, 14 insertions, 1 deletions
diff --git a/deploy.sh b/deploy.sh
new file mode 100755
index 0000000..2f6a403
--- /dev/null
+++ b/deploy.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -euxo pipefail
+
+IMAGE=registry.jan.systems/jan-systems-2024:latest
+
+# Build
+docker build --platform linux/amd64 -t "$IMAGE" .
+docker push "$IMAGE"
+
+# Deploy
+ssh jan.systems 'cd deployments/garden && bash dc-restart.sh'
+
diff --git a/feed.scm b/feed.scm
index ff90fc3..4add4f8 100644
--- a/feed.scm
+++ b/feed.scm
@@ -85,7 +85,7 @@
(define kind (assocdr 'kind (cdr pair)))
(define link (pipe path
(@ replace (format "^~A\\/?" src-dir) "/")
- (@ replace "\\.md$" ".html")))
+ (@ replace "\\.md$" "")))
(format "* [~A (~A) [~A]](~A)" title date kind link))
(define index-lis (map to-li fm-sorted))